Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac.acl
Class InjacAclManager

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.injac.acl.InjacAclManager

public class InjacAclManager
extends java.lang.Object

Id: InjacAclManager.java,v 1.0 10 nov. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: InjacAclManager Original Author: Yohan Colmant Use to manage the acl used in injac

Constructor Summary
`InjacAclManager()`

Method Summary
`static boolean` | `getReadersAclOnSpace(ServerAccess access, java.lang.String path, org.esupportail.portal.utils.webdav.acl.EsupPermissions permissions, java.util.Vector users, java.util.Vector groups, java.lang.String userPrefix, java.lang.String groupPrefix)` Return the ACL for reading on a space
`static void` | `setReadersAclOnSpace(Space currentSpace, java.lang.String path, InjacSpaceManagementProperties smp)` Set the acl for reading set by manager on a space

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjacAclManager

    public InjacAclManager()

Method Detail

### setReadersAclOnSpace

    public static void setReadersAclOnSpace(Space currentSpace,
                                            java.lang.String path,
                                            InjacSpaceManagementProperties smp)
                                     throws ServerException,
                                            ApplicationException,
                                            AclReadException,
                                            AclAccessException,
                                            AclWriteException,
                                            NotSupportedAclException

  Set the acl for reading set by manager on a space

  Parameters:
    `currentSpace` - the current space used
    `path` - the resource path
    `smp` - object containing all properties
  Throws:
    `ServerException`
    `ApplicationException`
    `AclReadException`
    `AclAccessException`
    `AclWriteException`
    `NotSupportedAclException`

### getReadersAclOnSpace

    public static boolean getReadersAclOnSpace(ServerAccess access,
                                               java.lang.String path,
                                               org.esupportail.portal.utils.webdav.acl.EsupPermissions permissions,
                                               java.util.Vector users,
                                               java.util.Vector groups,
                                               java.lang.String userPrefix,
                                               java.lang.String groupPrefix)
                                        throws AclAccessException,
                                               AclReadException,
                                               NotSupportedAclException,
                                               PropertiesException

  Return the ACL for reading on a space

  Parameters:
    `access` - the server access object
    `path` - the resource path
    `permissions` - the permissions list
    `users` - the users
    `groups` - the groups
    `userPrefix` - the acl user prefix
    `groupPrefix` - the acl group prefix
  Returns:
    true if public, false if not public
  Throws:
    `AclAccessException`
    `AclReadException`
    `NotSupportedAclException`
    `PropertiesException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD